0

I am using:

The ESRI documentation lists this version of PostgreSQL flexible server as compatible with Pro 3.1. Further the release notes for Pro 3.1.x state that it includes:

ENH-000148704 Support the Microsoft Azure Database for PostgreSQL Flexible Server option

I am calling the Create Enterprise Database tool, passing it a new database name so it will create a new database and using the 'admin user' as the superuser is not available for this platform.

User does not have required privileges to create database objects.
[ERROR: User must be database SUPERUSER to create geodatabase.]

But if ArcGIS Pro is supports PostgreSQL flexible server then this tool must be able to run without superuser. Is there some part I am missing here?

2
  • 2
    I'm no expert here, but from this link: enterprise.arcgis.com/en/system-requirements/latest/linux/… it states: If you do not use or cannot use the Esri cloud deployment tools to create the database, and you want to create a geodatabase in any of the supported database-as-a-service offerings listed above, you must use the Enable Enterprise Geodatabase geoprocessing tool to create a geodatabase. Do not use the Create Enterprise Geodatabase tool.
    – KHibma
    Commented Jun 27, 2023 at 11:51
  • 1
    @KHibma Great! That's exactly what I was missing. Commented Jun 29, 2023 at 6:45

1 Answer 1

1

When using PostgreSQL flexible server, it is recommended to use the Esri cloud deployment tools for database creation. Using these tools allows you to use the Create Enterprise Geodatabase tool

Alternatively, you would use the Enable Enterprise Geodatabase tool if you deployed the database in another way.

Reference documentation

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.